<#ibiztemplate>
TARGET=PSSYSSERVICEAPI
</#ibiztemplate>
<#assign httpPort = "8081">
<#if sysrun?? >
    <#if sysrun.getPSDevSlnMSDepAPI()??>
        <#if sysrun.getPSDevSlnMSDepAPI().getHttpPort()??>
        <#assign httpPort = sysrun.getPSDevSlnMSDepAPI().getHttpPort()?c>
        </#if>
    </#if>
</#if>
version: "3.2"
services:
  ${pub.getCodeName()?lower_case}-provider-${api.getCodeName()?lower_case}:
    image: registry.cn-shanghai.aliyuncs.com/ibizsys/${pub.getCodeName()?lower_case}-provider-${api.getCodeName()?lower_case}:latest
    ports:
      - "${httpPort}:${httpPort}"
    networks:
      - agent_network
    deploy:
      mode: replicated
      replicas: 1

networks:
  agent_network:
    driver: overlay
    attachable: true